﻿/* Wrapping element */
/* Set some basic padding to keep content from hitting the edges */
.body-content {
    margin-top: 15px;
    padding-left: 15px;
    padding-right: 15px;
}

/* Set widths on the form inputs since otherwise they're 100% wide */
.divCell {
    display: table-cell;
    white-space: nowrap;
    border: 1px solid black;
    font-family: Arial;
    font-size: 10pt;
    padding: 4px;
}

.upperText {
    text-transform: uppercase;
}

.rowcursor {
    cursor: pointer;
}

:root {
    --plus-color: #07acff;
    --trash-color: #008b46;
    --circle-color: #05f59a;
    --door-color: #d607ff;
    --eye-color: #8e2008;
    --disk-color: #bB008b;
    --xmark-color: #f46c54;
    --history-color: #7ac4ee;
    --manage-color: #5d67f3;
    --print-color: #268c90;
    --star-color: #72a6cb;
    --images-color: #b27ff3;
    --files-color: #8ec274;
    --vial-color: #d38baf;
    --medal-color: #c8d6d2;
}

.fa-medal {
    color: #24473e !important;
    font-size: 20px !important;
}

    .fa-medal:hover {
        cursor: pointer;
        color: var(--medal-color) !important;
    }

.fa-vial-circle-check {
    color: #8e0b4d !important;
    font-size: 20px !important;
}

    .fa-vial-circle-check:hover {
        cursor: pointer;
        color: var(--vial-color) !important;
    }

.fa-square-star {
    color: #0c6cb3 !important;
    font-size: 20px !important;
}

    .fa-square-star:hover {
        cursor: pointer;
        color: var(--star-color) !important;
    }

.fa-images {
    color: #5317a1 !important;
    font-size: 20px !important;
}

    .fa-images:hover {
        cursor: pointer;
        color: var(--images-color) !important;
    }

.fa-files {
    color: #34860b !important;
    font-size: 20px !important;
}

    .fa-files:hover {
        cursor: pointer;
        color: var(--files-color) !important;
    }

.fa-print {
    color: #000000 !important;
    font-size: 20px !important;
}

    .fa-print:hover {
        cursor: pointer;
        color: var(--print-color) !important;
    }

.fa-square-poll-horizontal {
    color: #0a1178 !important;
    font-size: 20px !important;
}

    .fa-square-poll-horizontal:hover {
        cursor: pointer;
        color: var(--manage-color) !important;
    }

.fa-circle-plus {
    color: #0730ff !important;
    font-size: 20px !important;
}

    .fa-circle-plus:hover {
        cursor: pointer;
        color: var(--history-color) !important;
    }

.fa-circle-trash {
    color: #8b0000 !important;
    font-size: 20px !important;
}

    .fa-circle-trash:hover {
        cursor: pointer;
        color: var(--trash-color) !important;
    }

.fa-pen-circle {
    color: #3cbb8b !important;
    font-size: 20px !important;
}

    .fa-pen-circle:hover {
        cursor: pointer;
        color: var(--circle-color) !important;
    }

.fa-door-closed {
    color: #5a07ff !important;
    font-size: 20px !important;
}

    .fa-door-closed:hover {
        cursor: pointer;
        color: var(--door-color) !important;
    }

.fa-eye {
    color: #088e20 !important;
    font-size: 20px !important;
}

    .fa-eye:hover {
        cursor: pointer;
        color: var(--eye-color) !important;
    }

.fa-square-arrow-down {
    color: #15008b !important;
    font-size: 20px !important;
}

    .fa-square-arrow-down:hover {
        cursor: pointer;
        color: var(--disk-color) !important;
    }

.fa-circle-xmark {
    color: #ff0000 !important;
    font-size: 20px !important;
}

    .fa-circle-xmark:hover {
        cursor: pointer;
        color: var(--xmark-color) !important;
    }

.fa-rectangle-history {
    color: #3c8dbb !important;
    font-size: 20px !important;
}

    .fa-rectangle-history:hover {
        cursor: pointer;
        color: var(--plus-color) !important;
    }


/* Responsive: Portrait tablets and up */
@media screen and (min-width: 768px) {
    .body-content {
        padding: 0;
    }
}

.nodec {
    text-decoration: none !important;
}

.fullAlign {
    text-align: justify;
}

.flex-container {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
}

.flex-child {
    width: 50%;
    height: 100vh;
    vertical-align: middle;
    border: 0 !important;
    text-align: center;
}

.moveeye {
    position: absolute;
    z-index: 10;
    margin-left: 360px;
    margin-top: 8px;
    text-decoration: none !important;
}

.underbox {
    position: relative;
    z-index: 5;
}

.centered {
    margin: 0 auto;
    float: none !important;
    display: table;
}

h3 {
    font-size: calc(1.5rem + .5vw);
    color: #000000;
    margin-left: 20px;
    font-family: Arial;
    text-transform: uppercase;
}

h1 {
    font-size: calc(1rem + .5vw) !important;
    color: #000000 !important;
    font-family: Arial !important;
    text-transform: uppercase !important;
}

h2 {
    font-size: calc(.75rem + .5vw) !important;
    color: #000000 !important;
    font-family: Arial !important;
    text-transform: uppercase !important;
}

.tophead {
    display: flex;
    height: 5vw;
    vertical-align: middle;
    margin-bottom: 100px;
}

.topimage {
    height: 5vw;
}

.topdiv {
    font-size: 20px;
    font-family: Arial;
    font-weight: bold;
    text-align: left;
    width: 100%;
    margin-bottom: 10px;
}

.bottomdiv {
    font-size: 12px;
    font-family: Arial;
    font-style: oblique;
    text-align: left;
    width: 100%;
}

.homediv {
    min-height: 98vh !important;
    min-width: 99vw !important;
    padding: 0;
    margin: 0;
    background-image: url('/Images/h_reliefvalve.jpg');
    background-position: center center;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
}

.rndbtn {
    -webkit-border-radius: 15px;
    border-radius: 25px !important;
}

@media (max-width: 750px) {
    .flex-child {
        width: 100vw;
        height: 100vh;
        vertical-align: auto;
        border: 0 !important;
        text-align: center;
    }

    h3 {
        font-size: calc(1rem + .8vw);
        color: #be202f;
        -webkit-text-stroke: 1px black;
        font-family: Arial;
        text-transform: uppercase;
        width: 100% !important;
        text-align: center;
        white-space: nowrap;
    }

    .topimage {
        height: 60px !important;
    }

    .tophead {
        display: flex;
        height: 25vw;
        vertical-align: middle;
        margin-bottom: 0 !important;
    }

    .rightdiv {
        background-image: none;
        opacity: unset;
        background-color: transparent;
    }

    .centered {
        margin: 0 !important auto;
        float: none !important;
        display: table;
    }

    html {
        min-height: 98vh !important;
        min-width: 99vw !important;
        padding: 0;
        margin: 0;
        background-image: url('/Images/h_reliefvalve.jpg');
        background-position: center center;
        background-repeat: no-repeat;
        background-attachment: fixed;
        background-size: 100% 100%;
    }
}

.hide-text {
    font-size: 0 !important;
    padding-right: 15px !important;
}

    .hide-text::before {
        font-size: 20px; /* restore icon size */
    }
